Bug 181806 - anaconda needlessly stops ks install to confirm partition layout
anaconda needlessly stops ks install to confirm partition layout
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-02-16 13:57 EST by Alexandre Oliva
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-17 10:32:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-02-16 13:57:21 EST
Description of problem:
Take the ks file I attached to 174597, for example, but remove the `interactive´
line.  Even when I try to do a totally automated install for that box, anaconda
will still stop and prompt me for disk layout confirmation, i.e., disk druid and
the screen before that.  After I click on `Next' on both, without any other
actions, it will proceed to install.

Any idea why it might decide to do that?  I know I have a server at the uni that
displays the very same behavior on FC4, so this is probably not a new bug, but I
neglected to report it earlier.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1.Take the ks file attached to bug 174597, particularly the partitioning info
2.Try to do a non-interactive ks install with it

Actual results:
Install succeeds, but only after prompting for `confirmation´ of the partitioning

Expected results:
No such interactive steps, like on all other boxes

Additional info:
It might have to do with the selection of raid devices, available lvm space or
something.  I hoped /var/log/anaconda.log would let me know why it made this
decision, but I can't find anything useful for this problem there (other than a
typo s/anod/and/ in /usr/lib/python2.4/site-packages/pykickstart/parser.py:102,
because of --hsync/--vsync options, that is :-)
Comment 1 Chris Lumens 2006-02-16 15:18:29 EST
It looks to me like the partitioning step will only be skipped if you use
autopart or have at least one part line in your kickstart file.  Since you don't
have any part lines because of the --useexisting flags, it's not adding the
partitioning steps to the skip list.  Does this fit in with what you're seeing
on your various systems?
Comment 2 Alexandre Oliva 2006-02-16 18:37:13 EST
That's it!  All of the affected hosts have absolutely everything on raid,
inclusing swap.  Some other systems that had nearly everything on raid still had
some non-raid swap devices, and that's what set me off track.

Any chance you could add `raid' and `logvol' to the set of directives that cause
partitioning to be skipped?
Comment 3 Chris Lumens 2006-02-17 10:32:31 EST
Yep, that's the exact fix I had in mind.  Fixed in post-test3 Rawhide.

Note You need to log in before you can comment on or make changes to this bug.